Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Get Work Order ETA GETGet Work Order Schedule GETUpdate Work Order Schedule PUT

Resources

WorkflowSchedule

Update Work Order Schedule


Update the service window and scheduling information for a work order.

PUT
/api/rest/v2/workorders/{work_order_id}/schedule

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Request Body

application/json

work order schedule pay model

service_window*

Service window

schedule_note?string

Schedule note

schedule_option?number

Schedule option

time_zone?

Time zone

require_ontime?boolean

Require On time schedule (Hard Start)

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/schedule" \  -H "Content-Type: application/json" \  -d '{    "service_window": {      "mode": "between",      "start": {        "utc": "2025-01-01T09:00:00Z",        "local": {          "date": "2025-01-01",          "time": "09:00:00"        }      },      "end": {        "utc": "2025-01-01T17:00:00Z",        "local": {          "date": "2025-01-01",          "time": "17:00:00"        }      }    },    "schedule_note": "Please arrive on time."  }'
{
  "work_order_id": 1001,
  "service_window": {
    "mode": "exact",
    "start": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    },
    "end": {
      "utc": "string_value",
      "local": {
        "date": "2025-01-01",
        "time": "12:00:00"
      }
    }
  },
  "schedule_note": "string_value",
  "schedule_option": 0,
  "time_zone": {
    "name": "Sample Name",
    "short": "string_value",
    "id": 123,
    "offset": 0
  },
  "status_id": 0,
  "company_id": 0,
  "today_tomorrow": "string_value",
  "correlation_id": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Get Work Order Schedule GET

Previous Page

Approve a Work Order POST

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/schedule" \
  -H "Content-Type: application/json" \
  -d '{
    "service_window": {
      "mode": "between",
      "start": {
        "utc": "2025-01-01T09:00:00Z",
        "local": {
          "date": "2025-01-01",
          "time": "09:00:00"
        }
      },
      "end": {
        "utc": "2025-01-01T17:00:00Z",
        "local": {
          "date": "2025-01-01",
          "time": "17:00:00"
        }
      }
    },
    "schedule_note": "Please arrive on time."
  }'